# ChirpStack Network Server

[![CircleCI](https://circleci.com/gh/brocaar/chirpstack-network-server.svg?style=svg)](https://circleci.com/gh/brocaar/chirpstack-network-server)

ChirpStack Network Server is an open-source LoRaWAN network-server, part of
[ChirpStack](https://www.chirpstack.io/). It is responsible for
handling (and de-duplication) of uplink data received by the gateway(s)
and the scheduling of downlink data transmissions.

## Architecture

![architecture](https://www.chirpstack.io/static/img/graphs/architecture.dot.png)

### Component links

* [ChirpStack Gateway Bridge](https://www.chirpstack.io/gateway-bridge/)
* [ChirpStack Network Server](https://www.chirpstack.io/network-server/)
* [ChirpStack Application Server](https://www.chirpstack.io/application-server/)

## Links

* [Downloads](https://www.chirpstack.io/network-server/overview/downloads/)
* [Docker image](https://hub.docker.com/r/chirpstack/chirpstack-network-server/)
* [Documentation](https://www.chirpstack.io/network-server/) and
  [Getting started](https://www.chirpstack.io/network-server/getting-started/)
* [Building from source](https://www.chirpstack.io/network-server/community/source/)
* [Contributing](https://www.chirpstack.io/network-server/community/contribute/)
* Support
  * [Support forum](https://forum.chirpstack.io)
  * [Bug or feature requests](https://github.com/brocaar/chirpstack-network-server/issues)

## Sponsors

[![CableLabs](https://www.chirpstack.io/static/img/sponsors/cablelabs.png)](https://www.cablelabs.com/)
[![SIDNFonds](https://www.chirpstack.io/static/img/sponsors/sidn_fonds.png)](https://www.sidnfonds.nl/)
[![acklio](https://www.chirpstack.io/static/img/sponsors/acklio.png)](http://www.ackl.io/)

## License

ChirpStack Network Server is distributed under the MIT license. See also
[LICENSE](https://github.com/brocaar/chirpstack-network-server/blob/master/LICENSE).
